Bug 1233080 - Replace require_ssl filter with Rails' force_ssl
Summary: Replace require_ssl filter with Rails' force_ssl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 08:11 UTC by Ohad Levy
Modified: 2017-02-23 19:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 16:05:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 10471 0 None None None 2016-04-22 16:08:32 UTC

Description Ohad Levy 2015-06-18 08:11:20 UTC
Rails has a built in force_ssl filter that we can use to replace our own "require_ssl" filter.

Comment 1 Ohad Levy 2015-06-18 08:11:22 UTC
Created from redmine issue http://projects.theforeman.org/issues/10471

Comment 5 Bryan Kearney 2015-07-07 16:20:59 UTC
merged.

Comment 6 Bryan Kearney 2015-07-10 20:26:43 UTC
Delivered with Snap12.

Comment 7 Tazim Kolhar 2015-07-14 11:26:15 UTC
Hi,

  please provide verification steps
  thanks

Thanks and Regards,
Tazim

Comment 8 Bryan Kearney 2015-07-14 12:06:57 UTC
Effectively, this is a no break test. Anything which used SSL should still work, and everything which did not should not. The only difference is that SSL should now be requires for all API calls.

Comment 9 Tazim Kolhar 2015-07-16 06:06:00 UTC
VERIFIED:

# rpm -qa | grep foreman
foreman-proxy-1.7.2.5-1.el7sat.noarch
ibm-hs22-05.rhts.eng.brq.redhat.com-foreman-client-1.0-1.noarch
ibm-hs22-05.rhts.eng.brq.redhat.com-foreman-proxy-1.0-2.noarch
foreman-gce-1.7.2.30-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
foreman-debug-1.7.2.30-1.el7sat.noarch
foreman-postgresql-1.7.2.30-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.17-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el7sat.noarch
foreman-1.7.2.30-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.18-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.0-8.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.9-1.el7sat.noarch
ibm-hs22-05.rhts.eng.brq.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-compute-1.7.2.30-1.el7sat.noarch
foreman-vmware-1.7.2.30-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
foreman-libvirt-1.7.2.30-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.8-1.el7sat.noarch
puppet-foreman_scap_client-0.3.3-9.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
foreman-ovirt-1.7.2.30-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch


steps:
#curl --insecure --user admin:changeme --header "Accept: application/json" https://ibm-hs22-05.rhts.eng.brq.redhat.com/katello/api/v2/organizations/1
{"id":1,"name":"Default Organization","title":"Default Organization","created_at":"2015-07-15T07:14:11Z","updated_at":"2015-07-15T07:44:57Z","select_all_types":[],"description":null,"parameters":[],"users":[],"smart_proxies":[{"name":"ibm-hs22-05.rhts.eng.brq.redhat.com","id":1,"url":"https://ibm-hs22-05.rhts.eng.brq.redhat.com:9090"}],"subnets":[{"id":1,"name":"libvirt","network_address":"192.168.100.0/24"}],"compute_resources":[{"id":3,"name":"docker","provider":"Docker","provider_friendly_name":"Docker"},{"id":2,"name":"libvirt","provider":"Libvirt","provider_friendly_name":"Libvirt"}],"media":[{"id":8,"name":"Default_Organization/Library/RHEL6/RHEL66_x86_64"},{"id":7,"name":"Default_Organization/Library/RHEL7/RHEL7_x86_64"}],"config_templates":[{"id":5,"name":"Alterator default","template_kind_id":5,"template_kind_name":"provision"},{"id":6,"name":"Alterator default finish","template_kind_id":6,"template_kind_name":"finish"},{"id":7,"name":"Alterator default PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":34,"name":"alterator_pkglist","template_kind_id":null,"template_kind_name":null},{"id":8,"name":"AutoYaST default","template_kind_id":5,"template_kind_name":"provision"},{"id":10,"name":"AutoYaST default PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":9,"name":"AutoYaST SLES default","template_kind_id":5,"template_kind_name":"provision"},{"id":44,"name":"Boot disk iPXE - generic host","template_kind_id":1,"template_kind_name":"Bootdisk"},{"id":43,"name":"Boot disk iPXE - host","template_kind_id":1,"template_kind_name":"Bootdisk"},{"id":35,"name":"epel","template_kind_id":null,"template_kind_name":null},{"id":36,"name":"fix_hosts","template_kind_id":null,"template_kind_name":null},{"id":11,"name":"FreeBSD (mfsBSD) finish","template_kind_id":6,"template_kind_name":"finish"},{"id":12,"name":"FreeBSD (mfsBSD) provision","template_kind_id":5,"template_kind_name":"provision"},{"id":13,"name":"FreeBSD (mfsBSD) PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":37,"name":"freeipa_register","template_kind_id":null,"template_kind_name":null},{"id":14,"name":"Grubby default","template_kind_id":7,"template_kind_name":"script"},{"id":38,"name":"http_proxy","template_kind_id":null,"template_kind_name":null},{"id":48,"name":"idm_register","template_kind_id":null,"template_kind_name":null},{"id":15,"name":"Jumpstart default","template_kind_id":5,"template_kind_name":"provision"},{"id":16,"name":"Jumpstart default finish","template_kind_id":6,"template_kind_name":"finish"},{"id":17,"name":"Jumpstart default PXEGrub","template_kind_id":3,"template_kind_name":"PXEGrub"},{"id":33,"name":"Junos default finish","template_kind_id":6,"template_kind_name":"finish"},{"id":31,"name":"Junos default SLAX","template_kind_id":5,"template_kind_name":"provision"},{"id":32,"name":"Junos default ZTP config","template_kind_id":9,"template_kind_name":"ZTP"},{"id":18,"name":"Kickstart default","template_kind_id":5,"template_kind_name":"provision"},{"id":20,"name":"Kickstart default finish","template_kind_id":6,"template_kind_name":"finish"},{"id":22,"name":"Kickstart default iPXE","template_kind_id":4,"template_kind_name":"iPXE"},{"id":21,"name":"Kickstart default PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":23,"name":"Kickstart default user data","template_kind_id":8,"template_kind_name":"user_data"},{"id":39,"name":"kickstart_networking_setup","template_kind_id":null,"template_kind_name":null},{"id":19,"name":"Kickstart RHEL default","template_kind_id":5,"template_kind_name":"provision"},{"id":24,"name":"Preseed default","template_kind_id":5,"template_kind_name":"provision"},{"id":25,"name":"Preseed default finish","template_kind_id":6,"template_kind_name":"finish"},{"id":27,"name":"Preseed default iPXE","template_kind_id":4,"template_kind_name":"iPXE"},{"id":26,"name":"Preseed default PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":28,"name":"Preseed default user data","template_kind_id":8,"template_kind_name":"user_data"},{"id":40,"name":"puppet.conf","template_kind_id":null,"template_kind_name":null},{"id":4,"name":"PXEGrub default local boot","template_kind_id":3,"template_kind_name":"PXEGrub"},{"id":2,"name":"PXELinux default local boot","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":3,"name":"PXELinux default memdisk","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":1,"name":"PXELinux global default","template_kind_id":2,"template_kind_name":"PXELinux"},{"id":41,"name":"redhat_register","template_kind_id":null,"template_kind_name":null},{"id":42,"name":"saltstack_minion","template_kind_id":null,"template_kind_name":null},{"id":45,"name":"Satellite Kickstart Default","template_kind_id":5,"template_kind_name":"provision"},{"id":47,"name":"Satellite Kickstart Default Finish","template_kind_id":6,"template_kind_name":"finish"},{"id":46,"name":"Satellite Kickstart Default User Data","template_kind_id":8,"template_kind_name":"user_data"},{"id":49,"name":"subscription_manager_registration","template_kind_id":null,"template_kind_name":null},{"id":29,"name":"UserData default","template_kind_id":8,"template_kind_name":"user_data"},{"id":30,"name":"WAIK default PXELinux","template_kind_id":2,"template_kind_name":"PXELinux"}],"domains":[{"id":1,"name":"rhts.eng.brq.redhat.com"}],"environments":[{"name":"example_env","id":4},{"name":"KT_Default_Organization_Dev_con_viewA_2","id":3},{"name":"KT_Default_Organization_Library_con_viewA_2","id":2},{"name":"KT_Default_Organization_Library_con_viewB_3","id":5}],"hostgroups":[{"id":1,"name":"test_host_grp","title":"test_host_grp"}],"locations":[{"id":2,"name":"Default Location","title":"Default Location"}],"label":"Default_Organization","default_info":{"system":[],"distributor":[]},"owner_details":{"parentOwner":null,"id":"8aa800ec4e908f06014e909063910001","key":"Default_Organization","displayName":"Default Organization","contentPrefix":"/Default_Organization/$env","defaultServiceLevel":null,"upstreamConsumer":null,"logLevel":null,"href":"/owners/Default_Organization","created":"2015-07-15T07:14:18.640+0000","updated":"2015-07-15T07:14:18.640+0000"},"redhat_repository_url":"https://cdn.redhat.com","redhat_docker_registry_url":"https://registry.access.redhat.com","service_levels":[],"service_level":null,"default_content_view_id":1,"library_id":1}

#url --insecure --user admin:changeme --header "Accept: application/json" http://ibm-hs22-05.rhts.eng.brq.redhat.com/katello/api/v2/organizations/1
<html><body>You are being <a href="https://ibm-hs22-05.rhts.eng.brq.redhat.com/katello/api/organizations/1">redirected</a>.</body></html>

Comment 10 Bryan Kearney 2015-08-12 16:05:11 UTC
This bug was fixed in Satellite 6.1.1 which was delivered on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.